@import '../../styles/application.scss';

.titleFilterWrapper {
  @include desktop {
    @include flex(row, center, space-between);
  }
}

.filterWrapper {
  @include desktop {
    width: 40vw;
  }
  @include flex(row, center, flex-end);
}

.ingredientListWrapper {
  ul {
    margin-top: 16px;
    padding: 0px;
    @include desktop {
      @include grid(20px, 20px, repeat(4, 1fr));
      margin-top: 40px;
    }
    li {
      list-style-type: none;
      background-color: rgba($pink, 0.2);
      border-radius: $radius;
      transition: 0.2sec ease-in;
      margin-bottom: 10px;
      @include desktop {
        margin-bottom: 0;
      }
      &:hover {
        background-color: rgba($pink, 0.6);
      }
      a {
        color: $primaryRed;
        width: 100%;
        height: 100%;
        padding: 20px;
        display: inline-block;
        @include desktop {
          padding: 30px;
        }
        &:hover {
          text-decoration: none;
        }
      }
    }
  }
}
